summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNils Freydank <holgersson@posteo.de>2020-03-25 16:54:03 +0100
committerZac Medico <zmedico@gentoo.org>2020-04-03 22:05:58 -0700
commitdbd732eefc4ea69f61439555f733e44d59a40511 (patch)
treee29406c10dc7e66f13e32fd3d544f79eaf942622
parentdev-ruby/maildir: add 2.2.2 (diff)
downloadgentoo-dbd732eefc4ea69f61439555f733e44d59a40511.tar.gz
gentoo-dbd732eefc4ea69f61439555f733e44d59a40511.tar.bz2
gentoo-dbd732eefc4ea69f61439555f733e44d59a40511.zip
dev-python/flake8-polyfill: Bump to 1.0.2
This bump also enables support for python 3.8 and fixes the tests. Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Nils Freydank <holgersson@posteo.de> Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--dev-python/flake8-polyfill/Manifest1
-rw-r--r--dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/flake8-polyfill/Manifest b/dev-python/flake8-polyfill/Manifest
index cb4dea47e7d5..bea89d8b346e 100644
--- a/dev-python/flake8-polyfill/Manifest
+++ b/dev-python/flake8-polyfill/Manifest
@@ -1 +1,2 @@
DIST flake8-polyfill-1.0.1.tar.gz 8094 BLAKE2B 1e93503b7f45da1d2f8086ea7e2f619df73a68f6680e958fd1dc13dfa0409ecaf0a045e1a6fbb3634279b17479e7227d68412d97c16d3a87182ae2a3e2c7cc11 SHA512 cdb1530c004015fc44007eb4efb5a84b2ff6f22bf75b3a33ada0c0e80eca5e137a2504baea11ae186018ff7617c8935bc14c36703c17c533a27abc81f9856883
+DIST flake8-polyfill-1.0.2.tar.gz 7591 BLAKE2B 59c55e054b04098ad2e1c95d3464f3582fdfe2a83da75c8cebf556e2e7e32abeccf1bf69ec2d0b5c9790179d1c905da21b27e60e1c9810b62502c455193851fe SHA512 767a599aacbe87328b3e36bd85e0841870760ed9bd95dd3a4a9084edc6f0ae89f8203d565c2b075f16f1db21b647c17b2aa59b08e4702109d7e5f79f36d9f3fa
diff --git a/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild
new file mode 100644
index 000000000000..c6401841c1dc
--- /dev/null
+++ b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Polyfill package for Flake8 plugins"
+HOMEPAGE="https://gitlab.com/pycqa/flake8-polyfill"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+EGIT_REPO_URI="https://gitlab.com/pycqa/flake8-polyfill.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Get rid of the test that seems to test only the migration from
+ # pep8 to pycodestyle (bug 598918).
+ rm "tests/test_stdin.py" || die
+ sed -e 's|\[pytest\]|\[tool:pytest\]|' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}